function init(hero) {
    hero.setName("Raven");
    hero.setTier(3);
    hero.setVersion("\u00A74\u00A7lT\u00A76\u00A7le\u00A7a\u00A7le\u00A7d\u00A7ln \u00A7b\u00A7lT\u00A7a\u00A7li\u00A76\u00A7lt\u00A7d\u00A7la\u00A7b\u00A7ln\u00A74\u00A7ls\u00A7r");
    
    hero.setHelmet("Hair");
    hero.setChestplate("Coat");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addPowers("mvh:tt_raven");
    hero.addAttribute("PUNCH_DAMAGE", 1.0, 0);
    
    hero.addKeyBind("TELEKINESIS", "Telekinesis", 1);
    hero.addKeyBind("HOVER", "key.levitate", 2);
    hero.addKeyBind("TELEPORT", "Portal", 3);

    hero.addKeyBind("TENTACLE_JAB", "key.tentacleJab", 1);
    hero.addKeyBind("TENTACLE_GRAB", "key.tentacleGrab", 2);
    hero.addKeyBind("TENTACLE_STRIKE", "key.tentacleStrike", 3);
    hero.addKeyBind("TENTACLES", "key.tentacles", 5);

    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.setHasProperty(hasProperty);
}
function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    
    case "TELEKINESIS":
        return !entity.getData("fiskheroes:tentacles");
    case "HOVER":
        return !entity.getData("fiskheroes:tentacles");
    case "TELEPORT":
        return !entity.getData("fiskheroes:tentacles");
    case "TENTACLE_JAB":
        return entity.getData("fiskheroes:tentacles") != null;
    case "TENTACLE_STRIKE":
        return entity.getData("fiskheroes:tentacles") != null;
    case "TENTACLE_GRAB":
        return entity.getData("fiskheroes:tentacles") != null;
      //// continue pattern
    default:
        return true;
    }
}
function hasProperty(entity, property) {
    return property == "MASK_TOGGLE";
}